## kitinerary 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
project(KItinerary VERSION ${PIM_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)

ecm_setup_version(PROJECT VARIABLE_PREFIX KITINERARY
    VERSION_HEADER kitinerary_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
)

set(QT_REQUIRED_VERSION "5.13.0")


find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui Qml)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n)
if (NOT ANDROID)
    find_package(SharedMimeInfo 1.3 REQUIRED)
endif()

set(KMIME_VERSION "5.15.3")
set(PIM_PKPASS "5.15.3")

find_package(KF5Mime ${KMIME_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${PIM_PKPASS} CONFIG REQUIRED)
find_package(Poppler COMPONENTS Core)
set_package_properties("Poppler" PROPERTIES TYPE OPTIONAL PURPOSE "Support for extraction from PDF booking confirmations.")
find_package(ZXing CONFIG)
set_package_properties("ZXing" PROPERTIES TYPE OPTIONAL PURPOSE "Support for barcode decoding." URL "https://github.com/nu-book/zxing-cpp")
find_package(ZLIB REQUIRED)
set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")
find_package(LibXml2 MODULE)
set_package_properties("LibXml2" PROPERTIES PURPOSE "Support for extraction from HTML booking confirmations." URL "http://libxml.org")
find_package(PhoneNumber OPTIONAL_COMPONENTS PhoneNumber QUIET)
set_package_properties("PhoneNumber" PROPERTIES PURPOSE "Parsing and geo-coding of phone numbers.")
find_package(OpenSSL 1.1)
set_package_properties("OpenSSL" PROPERTIES TYPE OPTIONAL PURPOSE "VDV ticket decoding." URL "https://openssl.org")
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating the airport database (ie. you most likely don't need this)")

if (NOT ANDROID)
    set_package_properties(KF5CalendarCore PROPERTIES TYPE REQUIRED)
    set_package_properties(LibXml2 PROPERTIES TYPE REQUIRED)
endif()

if(TARGET Poppler::Core)
    # check if we have private Poppler headers
    find_file(HAVE_POPPLER_UNSTABLE_HEADERS "OutputDev.h" PATHS ${Poppler_INCLUDE_DIRS} NO_DEFAULT_PATH)
    if (NOT HAVE_POPPLER_UNSTABLE_HEADERS)
        message(WARNING "Poppler was not build with ENABLE_UNSTABLE_API_ABI_HEADER - building without PDF support!")
        set(HAVE_POPPLER FALSE)
    else()
        set(HAVE_POPPLER TRUE)
    endif()
endif()
if (HAVE_POPPLER)
    string(REGEX MATCH "([0-9]+)\.0*([0-9]+)\.0*([0-9]+)" _match ${Poppler_VERSION})
    set(POPPLER_VERSION_MAJOR ${CMAKE_MATCH_1})
    set(POPPLER_VERSION_MINOR ${CMAKE_MATCH_2})
    set(POPPLER_VERSION_PATCH ${CMAKE_MATCH_3})
endif()

if (TARGET ZXing::ZXing OR TARGET ZXing::Core)
    set(HAVE_ZXING ON)
endif()

if (TARGET KF5::CalendarCore)
    set(HAVE_KCAL ON)
endif()
if (LIBXML2_FOUND)
    set(HAVE_LIBXML2 ON)
endif()
if (TARGET PhoneNumber::PhoneNumber)
    set(HAVE_PHONENUMBER ON)
endif()
if (TARGET OpenSSL::Crypto)
    set(HAVE_OPENSSL_RSA ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary\")

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimItinerary")
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)

add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPimItineraryTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPimItineraryTargets.cmake
        NAMESPACE KPim::
)
install(FILES org_kde_kitinerary.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kitinerary_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM} COMPONENT Devel)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(cli)
add_subdirectory(osm)
if (TARGET Qt5::Network AND NOT CMAKE_CROSSCOMPILING AND OSM_PLANET_DIR AND OsmTools_FOUND)
    add_subdirectory(knowledgedb-generator)
endif()
add_subdirectory(vdv/certs)
configure_file(config-kitinerary.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kitinerary.h)

set(kitinerary_lib_srcs
    datatypes/action.cpp
    datatypes/brand.cpp
    datatypes/bustrip.cpp
    datatypes/creativework.cpp
    datatypes/event.cpp
    datatypes/flight.cpp
    datatypes/organization.cpp
    datatypes/person.cpp
    datatypes/place.cpp
    datatypes/reservation.cpp
    datatypes/taxi.cpp
    datatypes/ticket.cpp
    datatypes/traintrip.cpp
    datatypes/rentalcar.cpp
    datatypes/visit.cpp

    generic/genericextractor.cpp
    generic/genericicalextractor.cpp
    generic/genericpdfextractor.cpp
    generic/genericpkpassextractor.cpp
    generic/genericuic918extractor.cpp
    generic/genericvdvextractor.cpp
    generic/structureddataextractor.cpp

    jsapi/barcode.cpp
    jsapi/bitarray.cpp
    jsapi/context.cpp
    jsapi/jsonld.cpp

    knowledgedb/alphaid.cpp
    knowledgedb/airportdb.cpp
    knowledgedb/countrydb.cpp
    knowledgedb/iatacode.cpp
    knowledgedb/knowledgedb.cpp
    knowledgedb/timezonedb.cpp
    knowledgedb/trainstationdb.cpp

    pdf/pdfdocument.cpp
    pdf/pdfextractoroutputdevice.cpp
    pdf/pdfimage.cpp
    pdf/pdfvectorpicture.cpp
    pdf/popplerglobalparams.cpp
    pdf/popplerutils.cpp

    tlv/berelement.cpp

    uic9183/rct2ticket.cpp
    uic9183/uic9183block.cpp
    uic9183/uic9183parser.cpp
    uic9183/uic9183ticketlayout.cpp
    uic9183/vendor0080block.cpp

    vdv/iso9796_2decoder.cpp
    vdv/vdvcertificate.cpp
    vdv/vdvticket.cpp
    vdv/vdvticketparser.cpp
    vdv/certs/vdv-certs.qrc

    barcodedecoder.cpp
    calendarhandler.cpp
    documentutil.cpp
    extractor.cpp
    extractorcapabilities.cpp
    extractorengine.cpp
    extractorfilter.cpp
    extractorinput.cpp
    extractorpostprocessor.cpp
    extractorrepository.cpp
    extractorutil.cpp
    extractorvalidator.cpp
    file.cpp
    flightpostprocessor.cpp
    htmldocument.cpp
    iatabcbpparser.cpp
    jsonlddocument.cpp
    jsonldimportfilter.cpp
    locationutil.cpp
    mergeutil.cpp
    qimagepurebinarizer.cpp
    sortutil.cpp
    stringutil.cpp
)
qt5_add_resources(kitinerary_lib_srcs extractors/extractors.qrc)
kde_source_files_enable_exceptions(barcodedecoder.cpp qimagepurebinarizer.cpp)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER logging.h IDENTIFIER KItinerary::Log CATEGORY_NAME org.kde.kitinerary)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER compare-logging.h IDENTIFIER KItinerary::CompareLog CATEGORY_NAME org.kde.kitinerary.comparator)
ecm_qt_declare_logging_category(kitinerary_lib_srcs HEADER validator-logging.h IDENTIFIER KItinerary::ValidatorLog CATEGORY_NAME org.kde.kitinerary.extractorValidator)

add_library(KPimItinerary ${kitinerary_lib_srcs})
add_library(KPim::Itinerary ALIAS KPimItinerary)
generate_export_header(KPimItinerary BASE_NAME KItinerary)
set_target_properties(KPimItinerary PROPERTIES
    VERSION ${KITINERARY_VERSION_STRING}
    SOVERSION ${KITINERARY_SOVERSION}
    EXPORT_NAME Itinerary
)
target_include_directories(KPimItinerary INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_include_directories(KPimItinerary PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPimItinerary PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(KPimItinerary
    PUBLIC
        Qt5::Core
        KF5::Mime
    PRIVATE
        Qt5::Qml
        KF5::Archive
        KF5::I18n
        KF5::Contacts
        KPim::PkPass
        ${ZLIB_LIBRARIES}
)
if (HAVE_POPPLER)
    target_link_libraries(KPimItinerary PRIVATE Poppler::Core)
endif()

if (TARGET ZXing::ZXing)
    target_link_libraries(KPimItinerary PRIVATE ZXing::ZXing)
elseif (TARGET ZXing::Core)
    target_link_libraries(KPimItinerary PRIVATE ZXing::Core)
endif()

if (HAVE_KCAL)
    target_link_libraries(KPimItinerary PUBLIC KF5::CalendarCore)
endif()
if (HAVE_LIBXML2)
    target_compile_definitions(KPimItinerary PRIVATE ${LIBXML2_DEFINITIONS})
    target_include_directories(KPimItinerary PRIVATE ${LIBXML2_INCLUDE_DIR})
    target_link_libraries(KPimItinerary PRIVATE ${LIBXML2_LIBRARIES})
endif()
if (HAVE_PHONENUMBER)
    target_link_libraries(KPimItinerary PRIVATE PhoneNumber::PhoneNumber)
endif()
if (HAVE_OPENSSL_RSA)
    target_link_libraries(KPimItinerary PRIVATE OpenSSL::Crypto)
endif()

ecm_generate_headers(KItinerary_FORWARDING_HEADERS
    HEADER_NAMES
        BarcodeDecoder
        CalendarHandler
        DocumentUtil
        Extractor
        ExtractorCapabilities
        ExtractorEngine
        ExtractorFilter
        ExtractorInput
        ExtractorPostprocessor
        ExtractorRepository
        ExtractorValidator
        File
        HtmlDocument
        IataBcbpParser
        JsonLdDocument
        LocationUtil
        MergeUtil
        SortUtil
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_HEADERS
)
ecm_generate_headers(KItinerary_KnowledgeDb_FORWARDING_HEADERS
    HEADER_NAMES
        AlphaId
        CountryDb
        KnowledgeDb
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_KnowledgeDb_HEADERS
    RELATIVE knowledgedb
)
ecm_generate_headers(KItinerary_Datatypes_FORWARDING_HEADERS
    HEADER_NAMES
        Action
        Brand
        BusTrip
        CreativeWork
        Datatypes
        Event
        Flight
        Organization
        Reservation
        RentalCar
        Person
        Place
        Taxi
        Ticket
        TrainTrip
        Visit
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Datatypes_HEADERS
    RELATIVE datatypes
)
ecm_generate_headers(KItinerary_Pdf_FORWARDING_HEADERS
    HEADER_NAMES
        PdfDocument
        PdfImage
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Pdf_HEADERS
    RELATIVE pdf
)
ecm_generate_headers(KItinerary_Uic9183_FORWARDING_HEADERS
    HEADER_NAMES
        Rct2Ticket
        Uic9183Block
        Uic9183Parser
        Uic9183TicketLayout
        Vendor0080Block
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Uic9183_HEADERS
    RELATIVE uic9183
)

ecm_generate_headers(KItinerary_Vdv_FORWARDING_HEADERS
    HEADER_NAMES
        VdvTicket
        VdvTicketParser
    PREFIX KItinerary
    REQUIRED_HEADERS KItinerary_Vdv_HEADERS
    RELATIVE vdv
)

install(TARGETS KPimItinerary EXPORT KPimItineraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KItinerary_FORWARDING_HEADERS}
    ${KItinerary_KnowledgeDb_FORWARDING_HEADERS}
    ${KItinerary_Datatypes_FORWARDING_HEADERS}
    ${KItinerary_Pdf_FORWARDING_HEADERS}
    ${KItinerary_Uic9183_FORWARDING_HEADERS}
    ${KItinerary_Vdv_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KItinerary
)
install(FILES
    ${KItinerary_HEADERS}
    ${KItinerary_AirportDb_HEADERS}
    ${KItinerary_Datatypes_HEADERS}
    ${KItinerary_KnowledgeDb_HEADERS}
    ${KItinerary_Pdf_HEADERS}
    ${KItinerary_Uic9183_HEADERS}
    ${KItinerary_Vdv_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kitinerary_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/kitinerary
)
if (NOT ANDROID)
    install(FILES application-vnd-kde-itinerary.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
    update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()

=== src/cli/CMakeLists.txt ===
if (ANDROID)
    return()
endif()

add_executable(kitinerary-extractor main.cpp)
target_include_directories(kitinerary-extractor PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(kitinerary-extractor
    KPimItinerary
    KPim::PkPass
)

option(KITINERARY_STANDALONE_CLI_EXTRACTOR "Build stand-alone command line extractor (this should be off, unless you are building the dedicated Flatpak for this" OFF)

if (KITINERARY_STANDALONE_CLI_EXTRACTOR)
    install(TARGETS kitinerary-extractor DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
    install(PROGRAMS org.kde.kitinerary-extractor.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kitinerary-extractor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
else()
    install(TARGETS kitinerary-extractor DESTINATION ${KF5_LIBEXEC_INSTALL_DIR})
endif()

=== src/knowledgedb-generator/CMakeLists.txt ===
add_executable(generate-knowledgedb
    main.cpp
    codegen.cpp
    timezones.cpp
    wikidata.cpp
    airportdbgenerator.cpp
    countrydbgenerator.cpp
    osmairportdb.cpp
    timezonedbgenerator.cpp
    trainstationdbgenerator.cpp
    util.cpp
    ../stringutil.cpp
)
target_compile_definitions(generate-knowledgedb PRIVATE "KITINERARY_STATIC_DEFINE")
target_include_directories(generate-knowledgedb PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/../knowledgedb
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
target_link_libraries(generate-knowledgedb PRIVATE Qt5::Network Qt5::Gui KOSM)

# extract all elements we are interested in (airports, terminals, stations at airports)
osm_filter(OUTPUT airports.o5m FILTER --keep=\"iata=* or aeroway=terminal or public_transport=station or railway=station or railway=halt or railway=tram_stop\")

# augment bounding box information
osm_convert(INPUT airports.o5m OUTPUT airports-bbox.o5m ADD_BBOX ON)

# convert the output to OSM XML format, so the code generator can consume it
osm_convert(INPUT airports-bbox.o5m OUTPUT airports-bbox.osm)

set(outfiles "")
function(generate_db dbtype outfile)
    set(extra_args "")
    if (ARGN)
        set(extra_args "--osm-data=${ARGN}")
    endif()
    add_custom_command(
        OUTPUT ${outfile}
        COMMAND generate-knowledgedb -o ${CMAKE_CURRENT_SOURCE_DIR}/../knowledgedb/${outfile} -d ${dbtype} ${extra_args}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS
        ${ARGN}
        generate-knowledgedb
    )
    list(APPEND outfiles ${outfile})
    set(outfiles ${outfiles} PARENT_SCOPE)
endfunction()
generate_db(country countrydb_data.cpp)
generate_db(timezone timezonedb_data.cpp)
generate_db(timezoneheader timezonedb_data.h)
generate_db(airport airportdb_data.cpp ${OSM_PLANET_DIR}/airports-bbox.osm)
generate_db(trainstation trainstationdb_data.cpp)

add_custom_target(rebuild-knowledgedb DEPENDS ${outfiles})

=== src/osm/CMakeLists.txt ===
add_library(KOSM STATIC
    datatypes.cpp
    element.cpp
    geomath.cpp
    xmlparser.cpp
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KOSM PUBLIC Qt5::Core)

=== debian/changelog ===
kitinerary (20.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add libkf5calendarcore-dev to depends of libkpimitinerary-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Dec 2020 11:15:55 +0100

kitinerary (20.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Create libkpimitinerary-bin package and install kitinerary-extractor
    to it.

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Dec 2020 15:21:35 +0100

kitinerary (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove upstream applied patches.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Compile against OpenSSL to parse VDV tickets.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:52 +0100

kitinerary (20.08.2-4) unstable; urgency=medium

  * Team upload.
  * Fix references to the upstream Git repository.
  * Backport upstream commit 06d1c15591f33d055a36657622402d25462bb3ab to avoid
    NaN comparisons; patch upstream_Avoid-NaN-comparisons.patch.
    (Closes: #972589)

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 13:20:56 +0200

kitinerary (20.08.2-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:10 +0200

kitinerary (20.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 11:05:13 +0200

kitinerary (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Fix copyright information for appdata.xml.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:24 +0200

kitinerary (20.04.1-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 7098c8be9a5e7fabf74543308bfaf11a2ebe5484 to fix
    the version detection of newer Poppler versions; patch
    upstream_Fix-build-with-latest-Poppler.patch.
  * Make libkpimitinerary5 require a not older than itself version of
    libkpimitinerary-data.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 13:00:41 +0200

kitinerary (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/org_kde_kitinerary.categories conffile.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Explicitly add the gettext build dependency.
  * Add the qml-module-qtqml build dependency, needed for the tests.
    (Closes: #964493)
  * Backport upstream commit 8bf24e2372b142f1a2189ad951fa396c5a4e0e74 to fix
    build with newer zxing; patch upstream_Fix-build-with-zxing-1.1.0.patch.
  * Update install files
    - explicitly remove kitinerary-extractor for now (it was already not
      shipped anywhere), until a proper place for it is found

 -- Pino Toscano <pino@debian.org>  Wed, 19 Aug 2020 08:11:53 +0200

kitinerary (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:49 +0200

kitinerary (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add ZXing-C++ to build-dependency (Closes: #949681)
  * New upstream release (20.04.0).
  * Enable hardening all.
  * add all test-data lintian issues to source/lintian-overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:21:57 +0200

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5archive-dev (>= 5.71.0~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5mime-dev (>= 20.08.3~),
               libkpimpkpass-dev (>= 20.08.3~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libssl-dev,
               libxml2-dev,
               libzxingcore-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtqml <!nocheck>,
               qtbase5-dev (>= 5.13.0~),
               qtdeclarative5-dev (>= 5.13.0~),
               shared-mime-info (>= 1.3~),
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kitinerary
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
Rules-Requires-Root: no

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-dev (>= 5:5.71.0~),
         libkf5i18n-dev (>= 5.71.0~),
         libkf5mime-dev (>= 20.08.3~),
         libkf5calendarcore-dev (>= 5:5.71.0~),
         libkpimitinerary5 (= ${binary:Version}),
         libkpimpkpass-dev (>= 20.08.3~),
         qtbase5-dev (>= 5.13.0~),
         qtdeclarative5-dev (>= 5.13.0~),
         ${misc:Depends}
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary-bin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information - binaries
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the binaries like
  - kitinerary-extractor

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel

## kitinerary 20.12.3

=== debian/changelog ===
kitinerary (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:21:21 +0000

kitinerary (20.12.2-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against new poppler soname.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Feb 2021 09:48:36 +0000

kitinerary (20.12.2-0ubuntu1) hirsute; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Remove libprotobuf-dev from Build-Depends, that was a workaround and we got
    a second FTBFS. The only possible solution to fix this second FTBFS is
    rebuilding libphonenumber on top of new protobuf. The libphonenumber
    rebuild will also result in libphonenumber-dev depending on libprotobuf-dev,
    so we don't need to build depend explicitly on libprotobuf-dev.

  [ Rik Mills ]
  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:55:14 +0000

kitinerary (20.12.1-0ubuntu3) hirsute; urgency=medium

  * Add libprotobuf-dev to Build-Depends, fixes FTBFS.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 26 Jan 2021 21:58:45 +0000

kitinerary (20.12.1-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild for libphonenumber soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2021 21:26:46 +0100

kitinerary (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:57 +0000

kitinerary (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:28:26 +0000

kitinerary (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:52:46 +0000

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev,
               libkf5mime-dev (>= 20.12.3~),
               libkpimpkpass-dev (>= 20.12.3~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libxml2-dev,
               libzxingcore-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime-dev (>= 20.12.3~),
         libkpimitinerary5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

## kitinerary 21.08.1

=== debian/changelog ===
kitinerary (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:37 +0100

kitinerary (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:03:26 +0100

kitinerary (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:55 +0100

kitinerary (21.07.80-0ubuntu2) impish; urgency=medium

  * Fix symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 15:31:00 +0100

kitinerary (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:43:05 +0100

kitinerary (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:31 +0100

kitinerary (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:41:09 +0100

kitinerary (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:37 +0100

kitinerary (21.04.0-0ubuntu2) impish; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 15:59:40 +0100

kitinerary (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Update lintian overrides
  * Add libssl-dev to build depends
  * Add osmctools to Suggests

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev,
-               libkf5mime-dev (>= 20.12.3~),
-               libkpimpkpass-dev (>= 20.12.3~),
+               libkf5mime-dev (>= 21.08.1~),
+               libkpimpkpass-dev (>= 21.08.1~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
+               libssl-dev,
                libxml2-dev,
                libzxingcore-dev,
                pkg-config,
@@ -44,7 +45,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 20.12.3~),
+Depends: libkf5mime-dev (>= 21.08.1~),
          libkpimitinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
@@ -58,6 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
+Suggests: osmctools
 Description: library for Travel Reservation information
  This library provides an API for Data Model and Extraction System for
  Travel Reservation information.
